Name:           perl-Ima-DBI
Version:        0.33
Release:        3%{?dist}
Summary:        Database connection caching and organization
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Ima-DBI
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/Ima-DBI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Class::Data::Inheritable) 
BuildRequires:  perl(Class::WhiteHole)
BuildRequires:  perl(DBIx::ContextualFetch)
Requires:  perl(Class::Data::Inheritable), perl(Class::WhiteHole) 
Requires:  perl(DBIx::ContextualFetch)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n Ima-DBI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Ima
%{_mandir}/man3/*.3*


%changelog
* Wed Aug 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-3
- minor cleanups

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-1
- Initial package for Fedora Extras
